"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.accessPromise = void 0;
exports.fstatPromise = fstatPromise;
exports.writeFilePromise = exports.unlinkPromise = exports.statPromise = exports.rmdirPromise = exports.renamePromise = exports.readdirPromise = exports.readFilePromise = exports.openPromise = exports.mkdirPromise = void 0;
var _fs = _interopRequireDefault(require("fs"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const fsP = _fs.default.promises ? _fs.default.promises : require('fs/promises');
const readFile = fsP.readFile;
const mkdirPromise = exports.mkdirPromise = fsP.mkdir;
const accessPromise = exports.accessPromise = fsP.access;
const writeFilePromise = exports.writeFilePromise = fsP.writeFile;
const readdirPromise = exports.readdirPromise = fsP.readdir;
const statPromise = exports.statPromise = fsP.stat;
const unlinkPromise = exports.unlinkPromise = fsP.unlink;
const rmdirPromise = exports.rmdirPromise = fsP.rmdir;
const renamePromise = exports.renamePromise = fsP.rename;
const openPromise = exports.openPromise = fsP.open;
const readFilePromise = async path => {
  return await readFile(path, 'utf8');
};
exports.readFilePromise = readFilePromise;
function fstatPromise(fd) {
  return new Promise((resolve, reject) => {
    _fs.default.fstat(fd, function (err, stats) {
      if (err) {
        return reject(err);
      }
      return resolve(stats);
    });
  });
}
//# sourceMappingURL=fs.js.map